Summary: An X Window System graphical chessboard.
Name: xboard
Version: 4.0.5
Release: 2mdk
Group: Games/Boards
Source: ftp://ftp.gnu.org/pub/gnu/xboard/xboard-%{version}.tar.bz2
Source1: xboard.bz2
Source2: xboard.xpm.bz2
Source3: xboard-32x32.xpm.bz2
Patch0: xboard-4.0.5-entry.patch.bz2
Requires: chessprogram
Copyright: GPL
BuildRoot: %{_tmppath}/xboard-root
Prereq: /sbin/install-info

%description
Xboard is an X Window System based graphical chessboard which can be
used with the GNUchess and Crafty chess programs, with Internet Chess
Servers (ICSs), with chess via email, or with your own saved games.

Install the xboard package if you need a graphical chessboard.

%description -l fr
Xboard est un plateau de jeu d'echecs graphique bas sur X Window, qui peut
tre utilis avec les programmes d'echecs GNUchess et Crafty, avec les
Internt Chess Servers (ICSs), avec chess via email, ou aec vos propres
sauvegardes de jeux.

Installez le package xboard si vous avez besoin d'un front-end graphique
d'echecs.

%prep
%setup -q 
%patch0 -p1

%build
./configure --prefix=/usr
make 

%install
make prefix=$RPM_BUILD_ROOT/usr install
strip $RPM_BUILD_ROOT/usr/bin/xboard

mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
cat > $RPM_BUILD_ROOT/etc/X11/wmconfig/xboard <<EOF
xboard name "xboard"
xboard description "Chess"
xboard group Games/Strategy
xboard exec "xboard &"
EOF

#menu
bunzip2 $RPM_SOURCE_DIR/xboard.bz2
install -m 755 -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 $RPM_SOURCE_DIR/xboard $RPM_BUILD_ROOT/usr/lib/menu/

#icon
install -d $RPM_BUILD_ROOT/usr/share/icons/mini
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/usr/share/icons/%{name}.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT/usr/share/icons/mini/%{name}.xpm
bzip2 $RPM_SOURCE_DIR/xboard

%post
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi

%postun
## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
      /usr/bin/update-menus
  fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc cmail.doc xboard.doc zic2xpm.doc
%doc COPYING COPYRIGHT ChangeLog ChangeLog.2 FAQ
%doc FAQ.html INSTALL READ_ME
%doc ics-addresses ics-parsing.txt
/usr/lib/menu/%{name}
/usr/share/icons/%{name}.xpm
/usr/share/icons/mini/%{name}.xpm
/usr/bin/xboard
/usr/bin/zic2xpm
/usr/bin/cmail
/usr/bin/pxboard
/usr/man/man6/xboard.6*
/usr/man/man6/zic2xpm.6*
/usr/man/man6/cmail.6*
/usr/info/xboard.info*
%config /etc/X11/wmconfig/xboard

%changelog
* Thu May 11 2000 Florin Grad <florin@mandrakesoft.com> 4.0.5-2mdk
- fix the menu integration

* Sat Apr 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 4.0.5-1mdk
- Updated to 4.0.5
- New groups
- Added docs
- added menu funtions to spec file

* Fri Nov 12 1999 Damien Kroktine <damien@mandrakesoft.com>
- Mandrake release

* Wed Sep  8 1999 Bill Nottingham <notting@redhat.com>
- update to 4.0.3

* Sat Aug 14 1999 Bill Nottingham <notting@redhat.com>
- change requires: to virtual 'chessprogram'

* Thu Aug 12 1999 Bill Nottingham <notting@redhat.com>
- require gnuchess so it will work out of the box

* Fri Jul 30 1999 Bill Nottingham <notting@redhat.com>
- update to 4.0.2

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- cleaned up spec file
- built package for 6.0

* Sat Jul 11 1998 Mike Wangsmo <wanger@redhat.com>
- updated to a new version
- buildrooted the package too

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr
